#
# spec file for package php5-pear-cache_lite
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  /var/lib/pear

Summary:        Fast and Safe little cache system
License:        LGPL-2.1+
Group:          Development/Libraries/Other

Name:           php5-pear-cache_lite
Version:        1.7.2
Release:        16.1
Source0:        http://pear.php.net/get/Cache_Lite-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.php.net/package/Cache_Lite
BuildRequires:  php5-pear
PreReq:         php5-pear
BuildArch:      noarch

%description
This package is a little cache system optimized for file containers. It is
fast and safe (because it uses file locking and/or anti-corruption tests).
 


%prep

%setup -c -T

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Cache_Lite.xml

%clean

rm -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/Cache_Lite.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Cache_Lite
fi

%files

%defattr(-,root,root)
%doc docs/Cache_Lite/*
%{peardir}/*
%{xmldir}/Cache_Lite.xml

%changelog
* Wed Dec 14 2011 coolo@suse.com
- LICENSE says LGPL-2.1+
* Thu Feb 17 2011 lang@b1-systems.de
- Added a Changelog file
- package builds on SLES 11
- ready for factory
